Package org.bukkit.entity

# Enum Class FishHook.HookState

java.lang.Object
java.lang.Enum<FishHook.HookState>
org.bukkit.entity.FishHook.HookState

All Implemented Interfaces:
  `Serializable`, `Comparable<FishHook.HookState>`, `Constable`

Enclosing interface:
  FishHook

public static enum FishHook.HookState extends Enum<FishHook.HookState>
Represents a state in which a fishing hook may be.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOBBING`
The fishing hook is bobbing in the water, waiting for a bite.
`HOOKED_ENTITY`
The fishing hook has hooked an entity.
`UNHOOKED`
The fishing hook has been cast and is either in the air or resting against a block on the ground.

## Method Summary

Modifier and Type
Method
Description
`static FishHook.HookState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FishHook.HookState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNHOOKED

public static final FishHook.HookState UNHOOKED
The fishing hook has been cast and is either in the air or resting against a block on the ground.

### HOOKED_ENTITY

public static final FishHook.HookState HOOKED_ENTITY
The fishing hook has hooked an entity.

### BOBBING

public static final FishHook.HookState BOBBING
The fishing hook is bobbing in the water, waiting for a bite.

## Method Details

### values

public static FishHook.HookState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FishHook.HookState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null